// used to break up the blur on levelshots

levelShotDetail
{
	nopicmip
	nomipmaps
    {
        map textures/detail/scanlines
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
        tcMod scale 10 12.5
    }
}

console
{
	nopicmip
	nomipmaps
    {
        map gfx/interface/stars
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        tcMod scroll 0.01 0.02
        tcMod scale 2 1
    }
    {
        map menu/new/title
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.2 0.1 0 0.4
    }
}

markShadow
{
	polygonOffset
    {
        clampmap gfx/damage/shadow
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
        alphaGen vertex
    }
}

// wake is the mark on water surfaces for paddling players

wake
{
	cull	disable
    {
        clampmap gfx/misc/splash
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

// projectionShadow is used for cheap squashed model shadows

projectionShadow
{
	polygonOffset
	deformvertexes	projectionShadow	
    {
// just solid black

        map $whiteimage
        blendFunc GL_ONE GL_ZERO
        rgbGen wave square 0 0 0 0
    }
}

white
{
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

sun
{
	cull	disable
    {
        map gfx/misc/sun
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

gfx/misc/flare
{
	cull	disable
    {
        map gfx/misc/flare
        blendFunc GL_ONE GL_ONE
        depthFunc disable
        rgbGen vertex
    }
}

gfx/misc/probechunk01
{
	cull	disable
    {
        map gfx/misc/probechunk01
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/misc/probechunk02
{
	cull	disable
    {
        map gfx/misc/probechunk02
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/misc/probechunk03
{
	cull	disable
    {
        map gfx/misc/probechunk03
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

// ===============================================================

// navigation aids

gfx/misc/nav_arrow
{
	cull	disable
    {
        map gfx/misc/navarrow
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        alphaGen wave sin 0.5 0.25 0 1
        tcMod scroll 0 -2
    }
}

gfx/misc/nav_node
{
	cull	disable
    {
        map gfx/misc/navnode
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen exactVertex
        alphaGen wave sin 0.5 0.25 0 1
    }
}

gfx/misc/nav_line
{
	cull	disable
    {
        map gfx/misc/navline
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen exactVertex
        alphaGen wave sin 0.5 0.25 0 1
    }
}

gfx/misc/nav_cpoint
{
	cull	disable
    {
        map gfx/misc/cpoint
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen exactVertex
        alphaGen wave sin 0.5 0.25 0 1
    }
}

gfx/misc/nav_radius
{
	qer_editorimage	gfx/misc/navnode
	cull	disable
    {
        map gfx/misc/navradius
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen exactVertex
        alphaGen wave sin 0.5 0.25 0 1
    }
}

menu/new/mousecursor
{
	nopicmip
	nomipmaps
    {
        clampmap menu/new/mousecursor
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        clampmap menu/new/mousecursor2
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.25 0.1 0 0.2
    }
}

gfx/hud/background
{
	q3map_nolightmap
	cull	disable
    {
        clampmap gfx/hud/background
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
    {
        map gfx/hud/static_gold
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0.5 3
        tcMod scroll 0.3 0
    }
    {
        map gfx/hud/static_gold
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0 3
        tcMod scroll -0.3 0
    }
    {
        map gfx/hud/static_gold
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll 1 0
    }
    {
        map gfx/hud/static_gold
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll -1 0
    }
}

gfx/hud/static_test
{
	nopicmip
    {
        map gfx/hud/static5
        blendFunc GL_ONE GL_ONE
        rgbGen wave inversesawtooth 0 1.5 1.4 1
        tcMod scroll 0 1
    }
    {
        map gfx/hud/static8
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
    {
        map gfx/hud/hudleft
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/hudleft_innerframe
{
	nopicmip
    {
        map gfx/hud/hudleft_innerframe
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/prong_off
{
	nopicmip
	cull	disable
    {
        map gfx/hud/prong_off
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/background_f
{
	q3map_nolightmap
	cull	disable
    {
        clampmap gfx/hud/background_f
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
        map gfx/hud/static4
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0.5 3
        tcMod scroll 0.3 0
    }
    {
        map gfx/hud/static4
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0 3
        tcMod scroll -0.3 0
    }
    {
        map gfx/hud/static4
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll 1 0
    }
    {
        map gfx/hud/static4
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll -1 0
    }
}

gfx/hud/background_i
{
	q3map_nolightmap
	cull	disable
    {
        clampmap gfx/hud/background_i
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
        map gfx/hud/static_green
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0.5 3
        tcMod scroll 0.3 0
    }
    {
        map gfx/hud/static_green
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave square 0 1 0 3
        tcMod scroll -0.3 0
    }
    {
        map gfx/hud/static_green
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll 1 0
    }
    {
        map gfx/hud/static_green
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        detail
        tcMod scroll -1 0
    }
}

gfx/hud/prong_on_weap
{
	nopicmip
    {
        map gfx/hud/prong_on_w
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/prong_on_item
{
	nopicmip
    {
        map gfx/hud/prong_on_i
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/prong_on_force
{
	nopicmip
    {
        map gfx/hud/prong_on_f
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/hudrightframe
{
	nopicmip
    {
        map gfx/hud/static5
        blendFunc GL_ONE GL_ONE
        rgbGen wave inversesawtooth 0 1.5 1.4 1
        tcMod scroll 0 1
    }
    {
        map gfx/hud/static9
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
    {
        map gfx/hud/hudrightframe
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/hudright_innerframe
{
	nopicmip
    {
        map gfx/hud/hudright_innerframe
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

gfx/hud/mpi_fboon
{
	nomipmaps
    {
        clampmap gfx/hud/mpi_fboon
        blendFunc GL_ONE GL_ONE
        tcMod rotate 50
    }
    {
        clampmap gfx/hud/mpi_fboonglo1
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 1 0.6 0.2 3
        tcMod rotate -25
    }
    {
        clampmap gfx/hud/mpi_fboon
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 8
        tcMod rotate 80
        tcMod stretch sawtooth 0 1 0 3
    }
}

gfx/hud/mp_levelload
{
	nopicmip
	nomipmaps
    {
        map gfx/hud/mp_levelload
        blendFunc GL_ONE GL_ONE
    }
}

gfx/hud/load_tick
{
	nopicmip
	nomipmaps
    {
        map gfx/hud/load_tick2
        blendFunc GL_ONE GL_ONE
    }
}

gfx/hud/load_tick_cap
{
	nopicmip
	nomipmaps
    {
        clampmap gfx/hud/load_tick_cap
        blendFunc GL_ONE GL_ONE
    }
}

gfx/hud/saber_stylesfast
{
	nopicmip
	nomipmaps
	cull	disable
    {
        map gfx/hud/saber_stylesfast
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

gfx/hud/saber_stylesmed
{
	nopicmip
	nomipmaps
	cull	disable
    {
        map gfx/hud/saber_stylesmed
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

gfx/hud/saber_stylesstrong
{
	nopicmip
	nomipmaps
	cull	disable
    {
        map gfx/hud/saber_stylesstrong
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

gfx/hud/w_icon_atst_na
{
	qer_editorimage	gfx/hud/static5
	nomipmaps
    {
        map gfx/hud/w_icon_atst
        blendFunc GL_ONE GL_ZERO
    }
}

gfx/hud/w_icon_atstside_na
{
	qer_editorimage	gfx/hud/static5
	nomipmaps
    {
        map gfx/hud/w_icon_atstside
        blendFunc GL_ONE GL_ZERO
    }
}

gfx/hud/force_swirl
{
	nomipmaps
    {
        clampmap gfx/hud/force_swirl
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
        tcMod rotate 195
    }
    {
        map gfx/hud/force_swirl2
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
        tcMod rotate -300
    }
    {
        clampmap gfx/hud/force_swirl
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
        tcMod rotate 195
    }
}

gfx/hud/force_swirl_test
{
	qer_editorimage	gfx/hud/force_swirl
	nomipmaps
    {
        map gfx/hud/f_icon_speed
        blendFunc GL_ONE GL_SRC_COLOR
    }
    {
        clampmap gfx/hud/force_swirl
        blendFunc GL_ONE GL_ONE
        tcMod rotate -300
    }
    {
        map gfx/hud/force_swirl2
        blendFunc GL_ONE GL_ONE
        tcMod rotate 200
    }
    {
        clampmap gfx/hud/force_swirl
        blendFunc GL_ONE GL_ONE
        tcMod rotate -300
    }
}

gfx/sprites/cry_rock_md
{
	cull	disable
    {
        map gfx/sprites/cry_rock_md
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/sprites/cry_rock_lg
{
	cull	disable
    {
        map gfx/sprites/cry_rock_lg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/2d/iris
{
	cull	disable
    {
        clampmap gfx/2d/iris
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
        alphaGen identity
    }
}

gfx/2d/jedisight
{
    {
        map gfx/2d/jedisight
        blendFunc GL_ONE GL_ZERO
        tcMod scroll 1 0
    }
    {
        map gfx/2d/jedisight
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcMod scroll 0.25 0.25
    }
}

gfx/chunks/grate1
{
	cull	disable
    {
        map gfx/chunks/grate_bit1
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/chunks/grate2
{
	cull	disable
    {
        map gfx/chunks/grate_bit2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/chunks/r2_chunk1
{
	cull	disable
    {
        map gfx/chunks/r2_chunk1
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/chunks/r2_chunk2
{
	cull	disable
    {
        map gfx/chunks/r2_chunk2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/chunks/r5_chunk1
{
	cull	disable
    {
        map gfx/chunks/r5_chunk1
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/chunks/r5_chunk2
{
	cull	disable
    {
        map gfx/chunks/r5_chunk2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        alphaGen vertex
    }
}

